Bug 1029868 - systemd-loginctl: command not found...
systemd-loginctl: command not found...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 07:06 EST by leigh scott
Modified: 2014-02-10 09:41 EST (History)
8 users (show)

See Also:
Fixed In Version: acpid-2.0.20-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 15:28:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixes systemd-loginctl name issue and adds cinnamon support (1.22 KB, patch)
2013-11-13 07:06 EST, leigh scott
no flags Details | Diff
patch fixes systemd-loginctl name issue and adds cinnamon and mate support (1.38 KB, patch)
2013-11-13 08:13 EST, leigh scott
no flags Details | Diff

  None (edit)
Description leigh scott 2013-11-13 07:06:03 EST
Created attachment 823379 [details]
patch fixes systemd-loginctl name issue and adds cinnamon support

Description of problem: systemd-loginctl: command not found...

F20 uses loginctl instead of systemd-loginctl

also it would be cool if you added cinnamon support as well.
I'm attaching a patch that fixes both issues.
Comment 1 Jaroslav Škarvada 2013-11-13 07:59:56 EST
Thanks for teh patch
Comment 2 leigh scott 2013-11-13 08:13:33 EST
Created attachment 823398 [details]
patch fixes systemd-loginctl name issue and adds cinnamon and mate support

I have added another patch that adds mate support as well.
Comment 3 Fedora Update System 2013-11-13 10:51:37 EST
acpid-2.0.20-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/acpid-2.0.20-2.fc19
Comment 4 Fedora Update System 2013-11-13 10:53:00 EST
acpid-2.0.20-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/acpid-2.0.20-2.fc20
Comment 5 Fedora Update System 2013-11-13 10:56:07 EST
acpid-2.0.20-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/acpid-2.0.20-2.fc18
Comment 6 Fedora Update System 2013-11-13 22:28:20 EST
Package acpid-2.0.20-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpid-2.0.20-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21232/acpid-2.0.20-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-15 15:28:39 EST
acpid-2.0.20-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-23 22:28:55 EST
acpid-2.0.20-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Ray Holme 2014-02-10 09:41:46 EST
thanks from the rank and file

Note You need to log in before you can comment on or make changes to this bug.